Does anyone know how to "upgrade the Service Studio in your controller node"

Does anyone know how to "upgrade the Service Studio in your controller node"

  
We recently upgraded from the trial edition to a licensed version of the platform and I'm in the process of migrating the two apps I built on the trial. I'm encountering problems trying to build and deploy the old apps since Service Studio has been upgraded in the interim. When I click 1-click publish, I get upgrade information warnings on the Users and RichWidgets eSpaces however I also get a fatal compilation error related to RichWidgets as well. I figure that if I republish RichWidgets to the newer version, this may solve the downstream compilation problem.

Going to Service Center, the status of both eSpaces states:
This eSpace has not been published since the last server upgrade. Please republish it to ensure its correct behavior.
after clicking publish, it attempts to upgrade the eSpace but fails with the following error:
The current Service Studio version in controller node (6.0.0.8) is not compatible with the current Platform Server version (6.0.1.6). Publish was unable to proceed because this version needs to be upgraded. Please request your Platform Server manager to upgrade the Service Studio in your controller node.

I've searched to the best of my ability to find a solution for this as I'm sure it should be a quick and easy fix but haven't found any relevant posts or documentation.  Any help would be greatly appreciated!
Hi NIck, 

When upgrading the service center, did you installed service studio and integration Studio on your server?

Cheers, 
RNA
Hello Ricardo and thanks for the response.

I forgot to mention that we're on the hosted service right now so Service Studio and Integration Studio were already installed to begin with.  I had similar problems initially with the eSpaces/extensions that I'd previously built/used on my older version of Service Studio.  After upgrading my local copy of Service Studio (6.0.0.8 to 6.0.0.12 I believe), I was able to upgrade my eSpaces without issue.  The problem seems to be with the "built-in" or standard eSpaces (like Users, ECT, and RichWidgets) ... every one of them has a ! next to it with the same This eSpace has not been published since the last server upgrade. Please republish it to ensure its correct behavior.
message next to it.  Should I be addressing this issue with support? I just didn't want to burn a service request if this is something I could fix on my own.

Thanks again for your help
Nick
Hi Nick,

I'll pass this info along for you and someone here at OutSystems will get back to you on this.

Many thanks and sorry for the inconvenience,


Miguel
Thank you Miguel, I appreciate it